/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MessageEvent.as 5142 2009-09-04 13:24:13Z merisiec $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.confeditor.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

import org.ow2.jasmine.monitoring.eos.common.utils.logger.EoSLogger;

/**
 * A MessageEvent is dispatched when an action on the topic must be done.
 * @author Guillaume Renault
 */
public class MessageEvent extends CairngormEvent
{

    ///////////////////////////////////////////////////////////////////////////
    // Event types
    ///////////////////////////////////////////////////////////////////////////
    public static const LOAD_CONF_EVENT:String = "Load configuration file";

    /**
    * Configuration file to load.
    */
    private var loadFileObj:String = null;

    /**
    * creates a new messageEvent
    */
    public function MessageEvent(type:String)
    {
        super(type);
    }

    override public function clone() : Event
    {
        return new MessageEvent(this.type);
    }

    public function set loadFile(file:String):void {
        this.loadFileObj = file;
    }

    public function get loadFile():String {
        return this.loadFileObj;
    }

}
}
