/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfEditorModelLocator.as 5142 2009-09-04 13:24:13Z merisiec $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.confeditor.model
{
    import com.adobe.cairngorm.model.ModelLocator;
    import mx.collections.ArrayCollection;

    import org.ow2.jasmine.monitoring.eos.confeditor.view.ConfEditorMain;

    import org.ow2.jasmine.monitoring.eos.confeditor.business.LoadFileDelegate;
    import org.ow2.jasmine.monitoring.eos.confeditor.business.ILoadFileDelegate;
    import org.ow2.jasmine.monitoring.eos.confeditor.vo.JasmineMessageEventVO;

    [Bindable]
    public class ConfEditorModelLocator implements ModelLocator
    {

        // private

        private static var model:ConfEditorModelLocator = null;

        private var configurationObj:XML = null;

        private var view:ConfEditorMain = null;

        // delegate unique instances

        private var loadFileDelegate:ILoadFileDelegate = null;

        public function ConfEditorModelLocator()
        {
            super();

            if (ConfEditorModelLocator.model != null) {
                throw new Error("Only one ConfEditorModellocator has to be set");
            }
        }

        public static function getInstance():ConfEditorModelLocator {
            if (ConfEditorModelLocator.model == null) {
                ConfEditorModelLocator.model = new ConfEditorModelLocator();
            }

            return ConfEditorModelLocator.model;
        }
        
        // setters

        public function set confEditorMain(view:ConfEditorMain):void {
            this.view = view;
        }

        public function set configuration(conf:XML):void {
            this.configurationObj = conf;
        }

        // getters

        public function get confEditorMain():ConfEditorMain {
            return this.view;
        }

        public function get configuration():XML {
            return this.configurationObj;
        }

        // getters delegates

        public function getLoadFileDelegate():ILoadFileDelegate {
        if (this.loadFileDelegate == null) {
            this.loadFileDelegate = new LoadFileDelegate();
        }
        return this.loadFileDelegate;
    }
    }
}
